# Form implementation generated from reading ui file 'src/eric7/QtHelpInterface/QtHelpDocumentationSettingsWidget.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_QtHelpDocumentationSettingsWidget(object):
    def setupUi(self, QtHelpDocumentationSettingsWidget):
        QtHelpDocumentationSettingsWidget.setObjectName("QtHelpDocumentationSettingsWidget")
        QtHelpDocumentationSettingsWidget.resize(533, 304)
        self.gridLayout = QtWidgets.QGridLayout(QtHelpDocumentationSettingsWidget)
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=QtHelpDocumentationSettingsWidget)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 2)
        self.filterEdit = QtWidgets.QLineEdit(parent=QtHelpDocumentationSettingsWidget)
        self.filterEdit.setClearButtonEnabled(True)
        self.filterEdit.setObjectName("filterEdit")
        self.gridLayout.addWidget(self.filterEdit, 1, 0, 1, 1)
        self.verticalLayout = QtWidgets.QVBoxLayout()
        self.verticalLayout.setObjectName("verticalLayout")
        self.addDocumentsButton = QtWidgets.QPushButton(parent=QtHelpDocumentationSettingsWidget)
        self.addDocumentsButton.setObjectName("addDocumentsButton")
        self.verticalLayout.addWidget(self.addDocumentsButton)
        self.addPluginButton = QtWidgets.QPushButton(parent=QtHelpDocumentationSettingsWidget)
        self.addPluginButton.setObjectName("addPluginButton")
        self.verticalLayout.addWidget(self.addPluginButton)
        self.removeDocumentsButton = QtWidgets.QPushButton(parent=QtHelpDocumentationSettingsWidget)
        self.removeDocumentsButton.setObjectName("removeDocumentsButton")
        self.verticalLayout.addWidget(self.removeDocumentsButton)
        self.line = QtWidgets.QFrame(parent=QtHelpDocumentationSettingsWidget)
        self.line.setLineWidth(2)
        self.line.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line.setObjectName("line")
        self.verticalLayout.addWidget(self.line)
        self.managePluginButton = QtWidgets.QPushButton(parent=QtHelpDocumentationSettingsWidget)
        self.managePluginButton.setObjectName("managePluginButton")
        self.verticalLayout.addWidget(self.managePluginButton)
        spacerItem = QtWidgets.QSpacerItem(20, 17, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout.addItem(spacerItem)
        self.gridLayout.addLayout(self.verticalLayout, 1, 1, 2, 1)
        self.documentsList = QtWidgets.QListWidget(parent=QtHelpDocumentationSettingsWidget)
        self.documentsList.setAlternatingRowColors(True)
        self.documentsList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.documentsList.setObjectName("documentsList")
        self.gridLayout.addWidget(self.documentsList, 2, 0, 1, 1)

        self.retranslateUi(QtHelpDocumentationSettingsWidget)
        QtCore.QMetaObject.connectSlotsByName(QtHelpDocumentationSettingsWidget)
        QtHelpDocumentationSettingsWidget.setTabOrder(self.filterEdit, self.documentsList)
        QtHelpDocumentationSettingsWidget.setTabOrder(self.documentsList, self.addDocumentsButton)
        QtHelpDocumentationSettingsWidget.setTabOrder(self.addDocumentsButton, self.addPluginButton)
        QtHelpDocumentationSettingsWidget.setTabOrder(self.addPluginButton, self.removeDocumentsButton)
        QtHelpDocumentationSettingsWidget.setTabOrder(self.removeDocumentsButton, self.managePluginButton)

    def retranslateUi(self, QtHelpDocumentationSettingsWidget):
        _translate = QtCore.QCoreApplication.translate
        self.label.setText(_translate("QtHelpDocumentationSettingsWidget", "Registered Documents"))
        self.filterEdit.setPlaceholderText(_translate("QtHelpDocumentationSettingsWidget", "<Filter>"))
        self.addDocumentsButton.setToolTip(_translate("QtHelpDocumentationSettingsWidget", "Press to select QtHelp documents to add to the database"))
        self.addDocumentsButton.setText(_translate("QtHelpDocumentationSettingsWidget", "Add..."))
        self.addPluginButton.setToolTip(_translate("QtHelpDocumentationSettingsWidget", "Press to select QtHelp documents provided by a plug-in to add to the database"))
        self.addPluginButton.setText(_translate("QtHelpDocumentationSettingsWidget", "Add from Plug-ins..."))
        self.removeDocumentsButton.setToolTip(_translate("QtHelpDocumentationSettingsWidget", "Press to remove the selected documents from the database"))
        self.removeDocumentsButton.setText(_translate("QtHelpDocumentationSettingsWidget", "Remove"))
        self.managePluginButton.setToolTip(_translate("QtHelpDocumentationSettingsWidget", "Select to manage the plug-in provided documentation sets"))
        self.managePluginButton.setText(_translate("QtHelpDocumentationSettingsWidget", "Manage Plug-ins..."))
        self.documentsList.setSortingEnabled(True)
